libzypp: zypp::repo::ProbeRepoReport Struct Reference

libzypp 17.38.13

zypp::repo::ProbeRepoReport Struct Reference

`#include <zypp/ZYppCallbacks.h>`

Inheritance diagram for zypp::repo::ProbeRepoReport:

## Public Types
enum | Action { ABORT , RETRY }
enum | Error { NO_ERROR , NOT_FOUND , IO , INVALID , UNKNOWN }
Public Types inherited from zypp::callback::ReportBase
typedef callback::UserData | UserData
typedef UserData::ContentType | ContentType

## Public Member Functions
virtual void | start (const Url &)
virtual void | failedProbe (const Url &, const std::string &)
virtual void | successProbe (const Url &, const std::string &)
virtual void | finish (const Url &, Error, const std::string &)
virtual bool | progress (const Url &, int)
virtual Action | problem (const Url &, Error, const std::string &)
Public Member Functions inherited from zypp::callback::ReportBase
virtual void | report (const UserData &userData_r=UserData())
| The most generic way of sending/receiving data.
virtual | ~ReportBase ()

## Detailed Description

Deprecated
  Is not sent by zypp.

Definition at line 200 of file ZYppCallbacks.h.

## Member Enumeration Documentation

## ◆ Action

enum zypp::repo::ProbeRepoReport::Action

Enumerator
ABORT |
RETRY |

Definition at line 202 of file ZYppCallbacks.h.

## ◆ Error

enum zypp::repo::ProbeRepoReport::Error

Enumerator
NO_ERROR |
NOT_FOUND |
IO |
INVALID |
UNKNOWN |

Definition at line 207 of file ZYppCallbacks.h.

## Member Function Documentation

## ◆ start()

virtual void zypp::repo::ProbeRepoReport::start | ( | const Url & |  | ) |
| inlinevirtual

Definition at line 215 of file ZYppCallbacks.h.

## ◆ failedProbe()

virtual void zypp::repo::ProbeRepoReport::failedProbe | ( | const Url & | ,
|  | const std::string & | )
| inlinevirtual

Definition at line 216 of file ZYppCallbacks.h.

## ◆ successProbe()

virtual void zypp::repo::ProbeRepoReport::successProbe | ( | const Url & | ,
|  | const std::string & | )
| inlinevirtual

Definition at line 217 of file ZYppCallbacks.h.

## ◆ finish()

virtual void zypp::repo::ProbeRepoReport::finish | ( | const Url & | ,
|  | Error | ,
|  | const std::string & | )
| inlinevirtual

Definition at line 218 of file ZYppCallbacks.h.

## ◆ progress()

virtual bool zypp::repo::ProbeRepoReport::progress | ( | const Url & | ,
|  | int | )
| inlinevirtual

Definition at line 220 of file ZYppCallbacks.h.

## ◆ problem()

virtual Action zypp::repo::ProbeRepoReport::problem | ( | const Url & | ,
|  | Error | ,
|  | const std::string & | )
| inlinevirtual

Definition at line 223 of file ZYppCallbacks.h.

The documentation for this struct was generated from the following file:

- zypp/ZYppCallbacks.h